import { FastifyPluginAsync } from 'fastify';

const page = `<!DOCTYPE html>
<html>
    <head>
        <title>Backup server</title>
        <style>*{background:#111;color:white}a{color:#abf}</style>
    </head>
    <body>
        <h1>You have reached the backup server!</h1>
        <p>This is the backup server! If you are a regular user, you wouldn't find this place very interesting and might as well close this page now.</p>
        <p>If you are a sysadmin, please refer to <a href='https://git.blek.codes/blek/backups.git'>API docs</a> for more info</p>
    </body>
</html>
`
    .replaceAll('\n', '')
    .replaceAll(/ +/gm, ' ')
    .replaceAll(' <', '<');

export default (async function (fastify) {
    fastify.get('/', async (_req, rep) => {
        rep.type('text/html; charset=utf8');
        return page;
    });
    fastify.get('/favicon.ico', async (req, rep) => {
        rep.status(404);
        return '';
    });
} as FastifyPluginAsync);
